[Bug #1076] wxRuby crashes with SIGSEGV


#1

Bug #1076: wxRuby crashes with SIGSEGV
http://redmine.ruby-lang.org/issues/show/1076

e$B5/I<<Te(B: Masaki Honda
e$B%9%F!<%?%9e(B: Open, e$BM%@hEYe(B: Normal
e$B%+%F%4%je(B: lib
ruby -v: ruby 1.9.1p0 (2009-01-30 revision 21907) [i386-mswin32]

I made a program from standard input below.
require ‘wx’

But it crashed.

C:/ruby-1.9.1-p0-i386-mswin32/lib/ruby/gems/1.9.1/gems/wxruby-1.9.9-x86-mswin32-
60/lib/wxruby2.so: [BUG] Segmentation fault
ruby 1.9.1p0 (2009-01-30 revision 21907) [i386-mswin32]

– control frame ----------
c:0008 p:-8714696 s:0021 b:0021 l:000020 d:000020 TOP
c:0007 p:---- s:0019 b:0019 l:000018 d:000018 CFUNC :require
c:0006 p:0011 s:0015 b:0015 l:000014 d:000014 TOP
C:/ruby-1.9.1-p0-i386-mswin
32/lib/ruby/gems/1.9.1/gems/wxruby-1.9.9-x86-mswin32-60/lib/wx.rb:12
c:0005 p:---- s:0012 b:0012 l:000011 d:000011 FINISH
c:0004 p:---- s:0010 b:0010 l:000009 d:000009 CFUNC :require
c:0003 p:0011 s:0006 b:0006 l:000adc d:00081c EVAL -:1
c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH
c:0001 p:0000 s:0002 b:0002 l:000adc d:000adc TOP

– Ruby level backtrace
information-----------------------------------------
C:/ruby-1.9.1-p0-i386-mswin32/lib/ruby/gems/1.9.1/gems/wxruby-1.9.9-x86-mswin32-
60/lib/wx.rb:12:in require' C:/ruby-1.9.1-p0-i386-mswin32/lib/ruby/gems/1.9.1/gems/wxruby-1.9.9-x86-mswin32- 60/lib/wx.rb:12:in<top (required)>’
-:1:in require' -:1:in

[NOTE]
You may encounter a bug of Ruby interpreter. Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html

This application has requested the Runtime to terminate it in an unusual
way.
Please contact the application’s support team for more information.

Is this problem occured from wxRuby or from Ruby interpreter?


#2

e$B%A%1%C%He(B #1076 e$B$,99?7$5$l$^$7$?!#e(B (by Nobuyoshi N.)

e$B%9%F!<%?%9e(B Opene$B$+$ie(BThird Party’s Issuee$B$KJQ99e(B

wxruby gem installs 1.8 binary even for 1.9.
It can’t work.

http://redmine.ruby-lang.org/issues/show/1076